WordPress.org

Making WordPress.org

Opened 4 years ago

Closed 4 years ago

#998 closed enhancement (wontfix)

Update wording on https://wordpress.org/download/release-archive/

Reported by: kraftbj Owned by:
Milestone: Priority: low
Component: General Keywords: 2nd-opinion
Cc:

Description

"None of these are safe to use, except the latest in the 4.2 series, which is actively maintained." is not 100% accurate since we're backporting security releases.

Still should push people to the latest and greatest, but is there benefit to tweaking this language and/or linking to a longer codex article about staying updated?

Inspired by http://wptavern.com/why-some-sites-automatically-updated-to-wordpress-4-1-3#comment-67271

Change History (4)

#1 @Ipstenu
4 years ago

"Only the latest in the 4.2 series is being actively developed. While security fixes may be backported to older versions, WordPress officially only supports the latest release."

#2 @nacin
4 years ago

I'm quite happy with the current wording.

The shadow releases are only because we're going to do whatever we can to keep sites secure when we have the option. It's essentially unofficial. Hell, I wouldn't mind if the minor release version # disappeared in these cases just so it stayed truly under the radar.

This ticket was mentioned in Slack in #meta by sam. View the logs.


4 years ago

#4 @ocean90
4 years ago

  • Resolution set to wontfix
  • Status changed from new to closed
  • Summary changed from Update working on https://wordpress.org/download/release-archive/ to Update wording on https://wordpress.org/download/release-archive/

I agree that it looks fine as it is.

Note: See TracTickets for help on using tickets.